#include <iostream>
#include <string>
using namespace std;
int main( ) {
int N;
int k;
int l=0;
int c=0;
int m=0;
int i=0;
int f=0;
cin >> N >> k;
    int A[N];
    int B[N];
    int D[N];
    for(int i = 0; i < N; i++)
        {
            cin >>A[i] ;
            B[i]=A[i] ;
        }
    for(int i = 0; i < N; i++)
           {
           c=0;
           }
     for(int j =i; i < N; j++)
        {if (A[i]==B[j])
            {
            c++;
            }
        if (c==k)
       { 
        c=0;
        D[m]=A[i];
        f++;
        i++;
        j=0;
        m++;
       }
    cout<<f<<endl;
    for(int i = 0; i < f; i++)
    {cout<<D[i];
    }
    return 0;
        }
}